%define idmetaversion %(. ./IDMETA; echo -n $VERSION)
%define xulrunnerver 38.8.0esr
%define xulrunnertar firefox-%{xulrunnerver}.source.tar.bz2
%define mozilladir mozilla-esr38
%define yasmtar yasm-1.3.0.tar.gz
%define yasmdir yasm-1.3.0
Summary: Xulrunner for CF
Name: cf-xulrunner
Version: %{idmetaversion}
Release: 1.indexdata
BuildRequires: gcc gcc-c++ pkgconfig
# BuildRequires: xorg-x11-devel 
BuildRequires: zip unzip
BuildRequires: mesa-libGL-devel
BuildRequires: wget
BuildRequires: gtk2-devel
BuildRequires: libXt-devel
BuildRequires: alsa-lib-devel
BuildRequires: autoconf213
BuildRequires: which
BuildRequires: python
License: BSD
Group: Applications/Internet
Vendor: Index Data ApS <info@indexdata.dk>
Source: cf-xulrunner-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Packager: Adam Dickmeiss <adam@indexdata.dk>
URL: http://www.indexdata.com/connector-framework

%description
Xulrunner tailored for the Connector Framework.

%package -n cf-xulrunner38
Summary: Xulrunner libraries
Requires: gtk2 >= 2.24
Group: Applications/Internet

%description -n cf-xulrunner38
This is Xulrunner libraries tailored for the Connector Framework.

%package -n cf-xulrunner38-devel
Summary: Development package for cf-xulrunner38
Group: Applications/Internet
Requires: cf-xulrunner38 = %{version}
Requires: gtk2-devel
Requires: libXt-devel
%description -n cf-xulrunner38-devel
Xulrunner development libraries.

%prep
%setup

%build
if ! gunzip -t %{yasmtar}; then
	wget -q http://ftp.indexdata.dk/pub/support/%{yasmtar}
fi
rm -fr %{yasmdir}
tar zxf %{yasmtar}
PDIR=`pwd`/yasm
mkdir $PDIR
cd %{yasmdir}
./configure --prefix=$PDIR
make
make install
cd ..
if ! bunzip2 -t %{xulrunnertar}; then
	wget -q http://ftp.indexdata.dk/pub/support/%{xulrunnertar}
fi
rm -fr %{mozilladir}
tar jxf %{xulrunnertar}
cat mozconfig.rpm mozconfig >%{mozilladir}/.mozconfig
cd %{mozilladir}
for p in ../*.patch; do patch -p0 < $p; done
autoconf-2.13
PATH=${PDIR}/bin:$PATH
SHELL=/bin/bash make -f client.mk build
cd ..

# ------ INSTALL --------
%install
rm -fr ${RPM_BUILD_ROOT}
cd %{mozilladir}
SHELL=/bin/bash make -f client.mk install DESTDIR=${RPM_BUILD_ROOT}
rm -fr ${RPM_BUILD_ROOT}/usr/cf-xulrunner/bin

%clean
rm -fr ${RPM_BUILD_ROOT}

%files -n cf-xulrunner38
%defattr(-,root,root)
/usr/cf-xulrunner/lib64/xulrunner-38.0
%files -n cf-xulrunner38-devel
%defattr(-,root,root)
/usr/cf-xulrunner/include
/usr/cf-xulrunner/lib64/pkgconfig
/usr/cf-xulrunner/lib64/xulrunner-devel-38.0
/usr/cf-xulrunner/share
